View Issue Details

IDProjectCategoryView StatusLast Update
0000860SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.6 
Target Version3.1.8Fixed in Version3.1.8 
Summary0000860: Timestamp with timezone doesn't work with timestamp new wins conflict resolution
DescriptionTimestamp with timezone doesn't work with timestamp new wins conflict resolution
TagsNo tags attached.

Activities

abrougher

2012-10-24 23:40

developer   ~0000088

Last edited: 2012-10-24 23:45

View 2 revisions

There is still an issue when comparing existing and updated Timestamps. The new timestamp accounts for the timezone offset while the existing timestamp timezone is being ignored.

I checked in a fix.

Related Changesets

SymmetricDS: master a93d1391

2012-10-17 22:29:21

chenson

Details Diff
0000860: Date column used for timestamp conflict detection comparison can result in parse errors
0000860
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

SymmetricDS: master ba25e871

2012-10-18 20:04:06

chenson

Details Diff
0000860: timestamp with timezone didn't work with new timestampt conflict resolution
0000860
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File
add - symmetric-util/src/main/java/org/jumpmind/exception/ParseException.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File
mod - symmetric-util/src/test/java/org/jumpmind/util/FormatUtilsTest.java Diff File

SymmetricDS: master e6859ab0

2012-10-24 23:43:22

abrougher

Details Diff
0000860: Timestamp with timezone doesn't work with timestamp new wins conflict resolution

New timestamps were adjusting for the timezone. Existing timestamps were not adjusted for the timezone offset before being compared to the new timestamp.

0000860
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

Issue History

Date Modified Username Field Change
2012-10-17 22:28 chenson New Issue
2012-10-17 22:28 chenson Assigned To => chenson
2012-10-17 22:28 chenson Status new => assigned
2012-10-18 20:07 chenson Summary Date column used for timestamp conflict detection comparison can result in parse errors => Timestamp with timezone doesn't work with timestamp new wins conflict resolution
2012-10-18 20:07 chenson Description Updated View Revisions
2012-10-18 20:07 chenson Status assigned => resolved
2012-10-18 20:07 chenson Fixed in Version => 3.2.0
2012-10-18 20:07 chenson Resolution open => fixed
2012-10-22 20:35 chenson Fixed in Version 3.2.0 => 3.1.7
2012-10-22 20:36 chenson Target Version 3.2.0 => 3.1.7
2012-10-22 20:37 chenson Status resolved => closed
2012-10-24 23:40 abrougher Note Added: 0000088
2012-10-24 23:40 abrougher Status closed => feedback
2012-10-24 23:40 abrougher Resolution fixed => reopened
2012-10-24 23:45 abrougher Note Edited: 0000088 View Revisions
2012-10-25 13:06 chenson Status feedback => resolved
2012-10-25 13:06 chenson Fixed in Version 3.1.7 => 3.2.0
2012-10-25 13:06 chenson Resolution reopened => fixed
2012-10-29 09:24 chenson Fixed in Version 3.2.0 => 3.1.8
2012-10-29 09:25 chenson Target Version 3.1.7 => 3.1.8
2012-10-29 09:25 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6352
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6359
2014-02-02 20:52 abrougher Changeset attached => SymmetricDS trunk r6377
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master e6859ab0
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ba25e871
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a93d1391